org.keycloak.dom.saml.v1.protocol

## Class SAML11AuthorizationDecisionQueryType

- java.lang.Object
- - org.keycloak.dom.saml.v1.protocol.SAML11QueryAbstractType
  - - org.keycloak.dom.saml.v1.protocol.SAML11SubjectQueryAbstractType
    - - org.keycloak.dom.saml.v1.protocol.SAML11AuthorizationDecisionQueryType

- All Implemented Interfaces:
    Serializable

      public class SAML11AuthorizationDecisionQueryType
      extends SAML11SubjectQueryAbstractType

  Since:
    Jun 22, 2011
  Author:
    Anil.Saldhana@redhat.com
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected List<SAML11ActionType>` | `action`
    `protected SAML11EvidenceType` | `evidence`
    `protected URI` | `resource`

    - ### Fields inherited from class org.keycloak.dom.saml.v1.protocol.SAML11SubjectQueryAbstractType

      `subject`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SAML11AuthorizationDecisionQueryType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(SAML11ActionType sadt)`
    `List<SAML11ActionType>` | `get()`
    `SAML11EvidenceType` | `getEvidence()`
    `URI` | `getResource()`
    `boolean` | `remove(SAML11ActionType sadt)`
    `void` | `setEvidence(SAML11EvidenceType evidence)`
    `void` | `setResource(URI resource)`

    - ### Methods inherited from class org.keycloak.dom.saml.v1.protocol.SAML11SubjectQueryAbstractType

      `getSubject, setSubject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### action

          protected List<SAML11ActionType> action

    - #### evidence

          protected SAML11EvidenceType evidence

    - #### resource

          protected URI resource

  - ### Constructor Detail

    - #### SAML11AuthorizationDecisionQueryType

          public SAML11AuthorizationDecisionQueryType()

  - ### Method Detail

    - #### getResource

          public URI getResource()

    - #### setResource

          public void setResource(URI resource)

    - #### getEvidence

          public SAML11EvidenceType getEvidence()

    - #### setEvidence

          public void setEvidence(SAML11EvidenceType evidence)

    - #### add

          public void add(SAML11ActionType sadt)

    - #### remove

          public boolean remove(SAML11ActionType sadt)

    - #### get

          public List<SAML11ActionType> get()

Copyright © 2020 JBoss by Red Hat. All rights reserved.